OnlyFans API
FanvueFans

Get Subscriber

Get one subscriber and their subscription details by user UUID. Proxies Fanvue's GET /v1/subscribers/{userUuid}, which answers 404 when the user is not a subscriber.

GET
/api/fanvue/{fanvueAccount}/fans/subscribers/{userUuid}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanvueAccount*string

The Fanvue Account ID

userUuid*string

The fan's Fanvue user UUID.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fanvue/fanvue_acct_XXXXXXXXXXXXXXX/fans/subscribers/f47ac10b-58cc-4372-a567-0e02b2c3d479"
{
  "data": {
    "uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "handle": "sarah-jones",
    "displayName": "Sarah Jones",
    "nickname": null,
    "isTopSpender": false,
    "avatarUrl": null,
    "registeredAt": "2026-09-21T12:05:33.176Z",
    "subscription": {
      "status": "active",
      "price": 399,
      "amountPaid": 399,
      "currentPeriodStart": "2026-09-22T10:29:07.224Z",
      "currentPeriodEnd": "2026-10-22T10:28:59.873Z",
      "autoRenewalEnabled": true
    },
    "firstSubscribedAt": "2026-09-22T10:29:07.474Z"
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055811,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}